package org.wso2.carbon.device.mgt.ios.api.utils.beans.wrapper;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.wso2.carbon.device.mgt.ios.payload.beans.RemoveApplication;

import java.util.List;

@ApiModel(value = "RemoveApplicationBeanWrapper",
        description = "Information related to Remove application.")
public class RemoveApplicationBeanWrapper {

    @ApiModelProperty(name = "deviceIDs",
            value = "List of device Ids to be need to execute.", required = true)
    private List<String> deviceIDs;
    @ApiModelProperty(name = "operation",
            value = "Remove application.", required = true)
    private RemoveApplication operation;

    public List<String> getDeviceIDs() {
        return deviceIDs;
    }

    public void setDeviceIDs(List<String> deviceIDs) {
        this.deviceIDs = deviceIDs;
    }

    public RemoveApplication getOperation() {
        return operation;
    }

    public void setOperation(RemoveApplication operation) {
        this.operation = operation;
    }
}
